<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Index &mdash; Documentation Kivy_Exercice v1.0.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Recherche" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Kivy_Exercice
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="modules.html">framework_kivy_1</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Kivy_Exercice</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
      <li class="breadcrumb-item active">Index</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="BoxLayout.html#BoxLayout.TodoApp.add_task">add_task() (méthode BoxLayout.TodoApp)</a>

      <ul>
        <li><a href="ToDoList.html#ToDoList.TodoListApp.add_task">(méthode ToDoList.TodoListApp)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="BoxLayout.html#BoxLayout.TodoApp.add_task_display_layout">add_task_display_layout() (méthode BoxLayout.TodoApp)</a>
</li>
      <li><a href="BoxLayout.html#BoxLayout.TodoApp.add_task_input_layout">add_task_input_layout() (méthode BoxLayout.TodoApp)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="color_text_Correction.html#color_text_Correction.NotreAppli.bouton">bouton() (méthode color_text_Correction.NotreAppli)</a>
</li>
      <li>
    BoxLayout

      <ul>
        <li><a href="BoxLayout.html#module-BoxLayout">module</a>
</li>
      </ul></li>
      <li>
    BoxLayoutColorArrondi

      <ul>
        <li><a href="BoxLayoutColorArrondi.html#module-BoxLayoutColorArrondi">module</a>
</li>
      </ul></li>
      <li><a href="BoxLayout.html#BoxLayout.TodoApp.build">build() (méthode BoxLayout.TodoApp)</a>

      <ul>
        <li><a href="BoxLayoutColorArrondi.html#BoxLayoutColorArrondi.ColorBoxLayoutApp.build">(méthode BoxLayoutColorArrondi.ColorBoxLayoutApp)</a>
</li>
        <li><a href="Calculatrice.html#Calculatrice.CalculatriceApp.build">(méthode Calculatrice.CalculatriceApp)</a>
</li>
        <li><a href="Calculatrice_Obfusc.html#Calculatrice_Obfusc.CalculatriceApp.build">(méthode Calculatrice_Obfusc.CalculatriceApp)</a>
</li>
        <li><a href="color_text_Correction.html#color_text_Correction.NotreAppli.build">(méthode color_text_Correction.NotreAppli)</a>
</li>
        <li><a href="DetectClavier.html#DetectClavier.TouchEventsApp.build">(méthode DetectClavier.TouchEventsApp)</a>
</li>
        <li><a href="main.html#main.ColorChangingApp.build">(méthode main.ColorChangingApp)</a>
</li>
        <li><a href="ToDoList.html#ToDoList.TodoListApp.build">(méthode ToDoList.TodoListApp)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    Calculatrice

      <ul>
        <li><a href="Calculatrice.html#module-Calculatrice">module</a>
</li>
      </ul></li>
      <li>
    Calculatrice_Obfusc

      <ul>
        <li><a href="Calculatrice_Obfusc.html#module-Calculatrice_Obfusc">module</a>
</li>
      </ul></li>
      <li><a href="Calculatrice.html#Calculatrice.CalculatriceApp">CalculatriceApp (classe dans Calculatrice)</a>

      <ul>
        <li><a href="Calculatrice_Obfusc.html#Calculatrice_Obfusc.CalculatriceApp">(classe dans Calculatrice_Obfusc)</a>
</li>
      </ul></li>
      <li><a href="main.html#main.ColorChangingApp.change_color">change_color() (méthode main.ColorChangingApp)</a>
</li>
      <li><a href="color_text_Correction.html#color_text_Correction.NotreAppli.changeCouleur">changeCouleur() (méthode color_text_Correction.NotreAppli)</a>
</li>
      <li>
    color_text_Correction

      <ul>
        <li><a href="color_text_Correction.html#module-color_text_Correction">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="BoxLayoutColorArrondi.html#BoxLayoutColorArrondi.ColorBoxLayoutApp">ColorBoxLayoutApp (classe dans BoxLayoutColorArrondi)</a>
</li>
      <li><a href="main.html#main.ColorChangingApp">ColorChangingApp (classe dans main)</a>
</li>
      <li><a href="ToDoList.html#ToDoList.ColoredButton">ColoredButton (classe dans ToDoList)</a>
</li>
      <li><a href="ToDoList.html#ToDoList.ColoredCheckBox">ColoredCheckBox (classe dans ToDoList)</a>
</li>
      <li><a href="ToDoList.html#ToDoList.ColoredLabel">ColoredLabel (classe dans ToDoList)</a>
</li>
      <li><a href="ToDoList.html#ToDoList.ColoredTextInput">ColoredTextInput (classe dans ToDoList)</a>
</li>
      <li><a href="BoxLayout.html#BoxLayout.TodoApp.create_rounded_box_layout">create_rounded_box_layout() (méthode BoxLayout.TodoApp)</a>
</li>
      <li><a href="BoxLayout.html#BoxLayout.TodoApp.create_task_layout">create_task_layout() (méthode BoxLayout.TodoApp)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="ToDoList.html#ToDoList.TodoListApp.delete_task">delete_task() (méthode ToDoList.TodoListApp)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    DetectClavier

      <ul>
        <li><a href="DetectClavier.html#module-DetectClavier">module</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="ToDoList.html#ToDoList.TodoListApp.load_tasks">load_tasks() (méthode ToDoList.TodoListApp)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    main

      <ul>
        <li><a href="main.html#module-main">module</a>
</li>
      </ul></li>
      <li><a href="ToDoList.html#ToDoList.RoundedColorBoxLayout.minimum_size">minimum_size (attribut ToDoList.RoundedColorBoxLayout)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="BoxLayout.html#module-BoxLayout">BoxLayout</a>
</li>
        <li><a href="BoxLayoutColorArrondi.html#module-BoxLayoutColorArrondi">BoxLayoutColorArrondi</a>
</li>
        <li><a href="Calculatrice.html#module-Calculatrice">Calculatrice</a>
</li>
        <li><a href="Calculatrice_Obfusc.html#module-Calculatrice_Obfusc">Calculatrice_Obfusc</a>
</li>
        <li><a href="color_text_Correction.html#module-color_text_Correction">color_text_Correction</a>
</li>
        <li><a href="DetectClavier.html#module-DetectClavier">DetectClavier</a>
</li>
        <li><a href="main.html#module-main">main</a>
</li>
        <li><a href="ToDoList.html#module-ToDoList">ToDoList</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="color_text_Correction.html#color_text_Correction.NotreAppli">NotreAppli (classe dans color_text_Correction)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Calculatrice.html#Calculatrice.CalculatriceApp.on_button_press">on_button_press() (méthode Calculatrice.CalculatriceApp)</a>

      <ul>
        <li><a href="Calculatrice_Obfusc.html#Calculatrice_Obfusc.CalculatriceApp.on_button_press">(méthode Calculatrice_Obfusc.CalculatriceApp)</a>
</li>
      </ul></li>
      <li><a href="ToDoList.html#ToDoList.TodoListApp.on_checkbox_active">on_checkbox_active() (méthode ToDoList.TodoListApp)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="DetectClavier.html#DetectClavier.TouchEventsApp.on_key_down">on_key_down() (méthode DetectClavier.TouchEventsApp)</a>
</li>
      <li><a href="DetectClavier.html#DetectClavier.TouchEventsApp.on_key_up">on_key_up() (méthode DetectClavier.TouchEventsApp)</a>
</li>
      <li><a href="BoxLayout.html#BoxLayout.TodoApp.on_main_layout_size">on_main_layout_size() (méthode BoxLayout.TodoApp)</a>
</li>
      <li><a href="main.html#main.ColorChangingApp.on_text_input_change">on_text_input_change() (méthode main.ColorChangingApp)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="main.html#main.ColorChangingApp.restore_color">restore_color() (méthode main.ColorChangingApp)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="BoxLayout.html#BoxLayout.RoundedBoxLayout">RoundedBoxLayout (classe dans BoxLayout)</a>
</li>
      <li><a href="ToDoList.html#ToDoList.RoundedColorBoxLayout">RoundedColorBoxLayout (classe dans ToDoList)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="color_text_Correction.html#color_text_Correction.NotreAppli.text">text() (méthode color_text_Correction.NotreAppli)</a>
</li>
      <li><a href="BoxLayout.html#BoxLayout.TodoApp">TodoApp (classe dans BoxLayout)</a>
</li>
      <li>
    ToDoList

      <ul>
        <li><a href="ToDoList.html#module-ToDoList">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="ToDoList.html#ToDoList.TodoListApp">TodoListApp (classe dans ToDoList)</a>
</li>
      <li><a href="DetectClavier.html#DetectClavier.TouchEventsApp">TouchEventsApp (classe dans DetectClavier)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="BoxLayout.html#BoxLayout.RoundedBoxLayout.update_rect">update_rect() (méthode BoxLayout.RoundedBoxLayout)</a>
</li>
      <li><a href="Calculatrice.html#Calculatrice.CalculatriceApp.update_rect_pos">update_rect_pos() (méthode Calculatrice.CalculatriceApp)</a>

      <ul>
        <li><a href="Calculatrice_Obfusc.html#Calculatrice_Obfusc.CalculatriceApp.update_rect_pos">(méthode Calculatrice_Obfusc.CalculatriceApp)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Calculatrice.html#Calculatrice.CalculatriceApp.update_rect_size">update_rect_size() (méthode Calculatrice.CalculatriceApp)</a>

      <ul>
        <li><a href="Calculatrice_Obfusc.html#Calculatrice_Obfusc.CalculatriceApp.update_rect_size">(méthode Calculatrice_Obfusc.CalculatriceApp)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>



           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Salaun.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>